.\" Man page generated from reStructuredText.
.
.TH OPENTEACHER 1 "2013-06-27" "3.2" ""
.SH NAME
openteacher \- Your personal tutor
.
.nr rst2man-indent-level 0
.
.de1 rstReportMargin
\\$1 \\n[an-margin]
level \\n[rst2man-indent-level]
level margin: \\n[rst2man-indent\\n[rst2man-indent-level]]
-
\\n[rst2man-indent0]
\\n[rst2man-indent1]
\\n[rst2man-indent2]
..
.de1 INDENT
.\" .rstReportMargin pre:
. RS \\$1
. nr rst2man-indent\\n[rst2man-indent-level] \\n[an-margin]
. nr rst2man-indent-level +1
.\" .rstReportMargin post:
..
.de UNINDENT
. RE
.\" indent \\n[an-margin]
.\" old: \\n[rst2man-indent\\n[rst2man-indent-level]]
.nr rst2man-indent-level -1
.\" new: \\n[rst2man-indent\\n[rst2man-indent-level]]
.in \\n[rst2man-indent\\n[rst2man-indent-level]]u
..
.SH SYNOPSIS
.sp
openteacher [\-h] [\-p PROFILE]
.SH DESCRIPTION
.sp
OpenTeacher is an opensource application that helps you learning a variety
of subjects. You just enter the questions and the answers, or download them from
the internet, and OpenTeacher tests you.
.INDENT 0.0
.TP
.B OpenTeacher 3.2 has the following features:
.INDENT 7.0
.IP \(bu 2
Viewing both recent and past results of tests with graphs
.IP \(bu 2
Smart question asking and interval training
.IP \(bu 2
Reverse rehearsal (the answer is asked, and you need to give the question)
.IP \(bu 2
Read support for more than 29 file formats; write support for over 14 file formats
.IP \(bu 2
Learn typing with our Typing Tutor which adapts itself to your skills
.IP \(bu 2
Print your word lists, media items and topography maps
.IP \(bu 2
(Partly) available in Arabic, Brazilian Portuguese, Simplified Chinese,
Traditional Chinese, Czech, Dutch, Finnish, French, Frisian, Galician,
German, Greek, Hungarian, Italian, Japanese, Polish, Russian, Sinhalese,
Spanish and Turkish
.IP \(bu 2
and more...
.UNINDENT
.UNINDENT
.sp
OpenTeacher is available for Linux, Windows and Mac OS X.
.SH OPERATION
.sp
After startup, OpenTeacher allows you to load a lesson or to create one.
Lessons can be loaded from both files and the internet.
There are a number of different lesson types: you can use OpenTeacher to learn vocabulary, geography and media.
Also, OpenTeacher has a typing lesson course built in.
.sp
When you open a lesson you can view the items in that lesson or enter new ones, and learn those items.
At the end of the session, you can view your results.
Also, it&#39;s possible to browse results of older tests.
.SH OPTIONS
.INDENT 0.0
.TP
.B \-h,  \-\-help
tr("show a help message")
.TP
.BI \-p \ PROFILE, \ \-\-profile \ PROFILE
run OpenTeacher as specified by \fIPROFILE\fP, \fIPROFILE\fP should be one of:
.INDENT 7.0
.IP \(bu 2
\fIall\fP: Enable every OpenTeacher GUI feature
.IP \(bu 2
\fIcli\fP: Command line interface (advanced)
.IP \(bu 2
\fIcode\-complexity\fP: Calculates McCabe code complexity for most functions in the OT source code. (advanced)
.IP \(bu 2
\fIcode\-documentation\fP: Code documentation web server (advanced)
.IP \(bu 2
\fIgenerate\-business\-card\fP: Generates OT &#39;business card&#39;. (Handy for promoting). (advanced)
.IP \(bu 2
\fIgenerate\-language\-code\-guesser\-table\fP: Generates the Python code that defines the language code guesser lookup table. (advanced)
.IP \(bu 2
\fIgenerate\-mobile\fP: Generates the html files of OpenTeacher mobile. (advanced)
.IP \(bu 2
\fIgenerate\-website\fP: Generates OpenTeacher&#39;s website. (advanced)
.IP \(bu 2
\fIget\-translation\-authors\fP: Gathers a list of all translators of OpenTeacher in Python code format. (advanced)
.IP \(bu 2
\fIhelp\fP: Shows an overview of all documented available profiles (advanced)
.IP \(bu 2
\fIirc\-bot\fP: Starts the IRC bot used in the #openteacher channel at irc.freenode.net. (advanced)
.IP \(bu 2
\fImodule\-graph\fP: Builds a graph of all modules and how they are related. (advanced)
.IP \(bu 2
\fIpackage\-debian\fP: Packages this installation into a .deb package. (advanced)
.IP \(bu 2
\fIpackage\-source\fP: Packages the source of this installation into a zip file. (advanced)
.IP \(bu 2
\fIpackage\-source\-with\-setup\fP: Packages the source of this installation into a tarball, and includes a setup.py file. (advanced)
.IP \(bu 2
\fIselfstudy\fP: Everything you need for using OpenTeacher for self\-study.
.IP \(bu 2
\fIshell\fP: Starts an interactive python shell with a module manager with all modules loaded. (advanced)
.IP \(bu 2
\fIstudent@home\fP: Features for students using OpenTeacher at home
.IP \(bu 2
\fIstudent@school\fP: Features for students using OpenTeacher at school
.IP \(bu 2
\fIteacher\fP: All features useful for teachers
.IP \(bu 2
\fItest\-server\fP: Test server (advanced)
.IP \(bu 2
\fItest\-suite\fP: Run the test suite (advanced)
.IP \(bu 2
\fIupdate\-rosetta\-priorities\fP: Updates the translation priorities of OpenTeacher on Launchpad. (advanced)
.IP \(bu 2
\fIupdate\-translations\fP: Updater for all .pot and .po files. (advanced)
.IP \(bu 2
\fIweb\-api\-server\fP: Web API server (advanced)
.IP \(bu 2
\fIwords\-only\fP: Just gimme my good old OpenTeacher 2.x!
.UNINDENT
.UNINDENT
.SH AUTHOR
.INDENT 0.0
.IP A. 3
Byrne \- Adolfo Jayme Barrientos \- Adriano Steffler \- Aiguanachein \- AleXanDeR_G \- Alexander Haack \- Alexander Suchan \- Alfredo Hernández \- Aminos Amigos \- Andi Chandler \- Basilis Thomopoulos \- Cas Widdershoven \- Charlie Smotherman \- Daniel Winzen \- Dasha \- David D Lowe \- Dennis Baudys \- Eduardo Alberto Calvo \- Egor Bushmelyov \- El Achèche ANIS \- EmmanuelLeNormand \- Flames_in_Paradise \- Florent (LSc) \- Glyca \- Guybrush88 \- Hans Schmidt \- Hector A. Mantellini \- Hélion du Mas des Bourboux \- Jakub Šnapka \- Jan Havran \- Jan Žárský \- Javier Blanco \- Joel Pickett \- Jonatan Zeidler \- Kcchouette \- LeeAnna Kobayashi \- Leonardo Corato \- Louie Chen \- Macedon \- Marcelo Thomaz \- Mariano Noguera \- Marten de Vries \- Maximilian Mühlbauer \- Messer Kevin \- Michael Moroni \- Michael Tel \- Michał Kudela \- Miguel A. Alvarado V. \- Miguel Anxo Bouzada \- Milan Boers \- Mohamed Rizmi \- Molnár Krisztián \- Nkolay Parukhin \- Oxygen icon theme \- Pavol_Ondercin \- Phillip Sz \- Pierdomenico \- Pierre Slamich \- Raffael Menke \- Ricardo Conde \- Richard Somlói \- Roel Huybrechts \- Rose \- Rubens Bueno \- SOMDA Sâaviel Constant \- Sameera Nelson \- SarahSlean \- Shaun Mallette \- Simon Schütte \- Slim KSOURI \- Stanislas Michalak \- Stefan de Vries \- Sylvie Gallet \- Teemu Paavola \- Tim O. \- Ubuntu \- Victor Rodriguez Cavaliere \- Wang Dianjin \- Wikimedia Commons \- Willem Sonke \- Xosé \- YannUbuntu \- Yannis Kaskamanidis \- Yordi de Graaf \- Yury Jajitzky \- adam liu \- c3d \- computergeoffrey \- dagmalina \- dubst3pp4 \- emerling \- facepalm \- ghas \- gustavoreyes \- kodadiirem \- nask00s \- oldumulenone \- pou \- pp/bs \- ymadec \- zeugma \- පසිඳු කාවින්ද
.UNINDENT
.sp
Contact: \fI\%openteachermaintainers@lists.launchpad.net\fP
.\" Generated by docutils manpage writer.
.
